require "fileutils"
require_relative "version"

def return_random_image(array)
  random_image = Random.new
  random_image  = random_image.rand(0...array.size)
  array.each_index do |index|
    random_image = array[random_image] if index == random_image
  end

  random_image
end

def write_css(output_path, css_code)
  File.open("#{output_path}.css", 'w') do |file|
    file.puts(css_code) 
  end
end

def write_fullscreen_background_no_repeat_css(input_path, section = "body", output_path)
  css_code = "#{section} {
      background-image: url('#{input_path}'); 
      background-repeat:no-repeat;
      background-size:cover;
}"

  write_css(output_path, css_code)
end

def write_background_with_two_images_css(input_path1, input_path2, section = "body", output_path)
  css_code = "#{section} {
      background-image: url('#{input_path1}'), url('#{input_path2}');
}"

  write_css(output_path, css_code)
end

def write_background_with_three_images_css(input_path1, input_path2, input_path3, section = "body", output_path)
  css_code = "#{section} {
      background-image: url('#{input_path1}'), url('#{input_path2}'), url('#{input_path3}'); 
}"

  write_css(output_path, css_code)
end

def write_background_with_four_images_css(input_path1, input_path2, input_path3, input_path4, section = "body", output_path)
  css_code = "#{section} {
      background-image: url('#{input_path1}'), url('#{input_path2}'), url('#{input_path3}'), url('#{input_path4}'); 
}"

  write_css(output_path, css_code)
end

def return_array_of_images(dir)
  images = []
  FileUtils.cd(dir) do
    Dir.entries(".").each do |entry|
      images.push(entry) if File.extname(entry) == ".png" || File.extname(entry) == ".jpg" || File.extname(entry) == ".gif"
    end
  end

  images
end
